( cd usr/lib64 ; rm -rf libgnome-menu.so.2 )
( cd usr/lib64 ; ln -sf libgnome-menu.so.2.4.2 libgnome-menu.so.2 )
( cd usr/lib64 ; rm -rf libgnome-menu.so )
( cd usr/lib64 ; ln -sf libgnome-menu.so.2.4.2 libgnome-menu.so )

# Preserve new configuration files
install_file() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Preserve menus
install_file etc/gnome/xdg/menus/applications.menu.new
install_file etc/gnome/xdg/menus/settings.menu.new

# Update desktop entries
if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi
